gtkmm: Gtk::TargetEntry Class Reference

gtkmm 3.24.10

Public Member Functions | Protected Attributes | List of all members
Gtk::TargetEntry Class Reference

`#include <gtkmm/targetentry.h>`

## Public Member Functions
| TargetEntry ()
| TargetEntry (const Glib::ustring & target, Gtk::TargetFlags flags=Gtk::TargetFlags(0), guint info=0)
| TargetEntry (const GtkTargetEntry & gobject)
| TargetEntry (const TargetEntry & src)
virtual | ~TargetEntry () noexcept
TargetEntry & | operator= (const TargetEntry & src)
Glib::ustring | get_target () const
void | set_target (const Glib::ustring & target)
Gtk::TargetFlags | get_flags () const
void | set_flags (Gtk::TargetFlags flags)
guint | get_info () const
void | set_info (guint info)
GtkTargetEntry * | gobj ()
const GtkTargetEntry * | gobj () const

## Protected Attributes
GtkTargetEntry | gobject_

## Constructor & Destructor Documentation

## ◆ TargetEntry() [1/4]

Gtk::TargetEntry::TargetEntry | ( |  | ) |

## ◆ TargetEntry() [2/4]

Gtk::TargetEntry::TargetEntry | ( | const Glib::ustring & | target,
|  | Gtk::TargetFlags | flags = Gtk::TargetFlags(0),
|  | guint | info = 0 )
| explicit

## ◆ TargetEntry() [3/4]

Gtk::TargetEntry::TargetEntry | ( | const GtkTargetEntry & | gobject | ) |
| explicit

## ◆ TargetEntry() [4/4]

Gtk::TargetEntry::TargetEntry | ( | const TargetEntry & | src | ) |

## ◆ ~TargetEntry()

virtual Gtk::TargetEntry::~TargetEntry | ( |  | ) |
| virtualnoexcept

## Member Function Documentation

## ◆ get_flags()

Gtk::TargetFlags Gtk::TargetEntry::get_flags | ( |  | ) | const

## ◆ get_info()

guint Gtk::TargetEntry::get_info | ( |  | ) | const

## ◆ get_target()

Glib::ustring Gtk::TargetEntry::get_target | ( |  | ) | const

## ◆ gobj() [1/2]

GtkTargetEntry * Gtk::TargetEntry::gobj | ( |  | ) |

## ◆ gobj() [2/2]

const GtkTargetEntry * Gtk::TargetEntry::gobj | ( |  | ) | const

## ◆ operator=()

TargetEntry & Gtk::TargetEntry::operator= | ( | const TargetEntry & | src | ) |

## ◆ set_flags()

void Gtk::TargetEntry::set_flags | ( | Gtk::TargetFlags | flags | ) |

## ◆ set_info()

void Gtk::TargetEntry::set_info | ( | guint | info | ) |

## ◆ set_target()

void Gtk::TargetEntry::set_target | ( | const Glib::ustring & | target | ) |

## Member Data Documentation

## ◆ gobject_

GtkTargetEntry Gtk::TargetEntry::gobject_
| protected